BasicPrintPreviewPaneUI (jEdit API Documentation)

Package org.gjt.sp.jedit.print

## Class BasicPrintPreviewPaneUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - org.gjt.sp.jedit.print.PrintPreviewPaneUI
    - - org.gjt.sp.jedit.print.BasicPrintPreviewPaneUI

- All Implemented Interfaces:
    `java.util.EventListener`, `javax.swing.event.ChangeListener`

      public class BasicPrintPreviewPaneUI
      extends PrintPreviewPaneUI
      implements javax.swing.event.ChangeListener

  Concrete implementation of a PrintPreviewPaneUI.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `BasicPrintPreviewPaneUI.PrintPreviewRenderer` | Panel to display the print preview.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicPrintPreviewPaneUI()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.awt.LayoutManager` | `createLayoutManager()` |
    `static javax.swing.plaf.ComponentUI` | `createUI​(javax.swing.JComponent c)` | Required by super class.
    `void` | `installComponents()` | Create and install any sub-components.
    `void` | `installDefaults()` | Install default values for colors, fonts, borders, etc.
    `void` | `installListeners()` | Install any action listeners, mouse listeners, etc.
    `void` | `installUI​(javax.swing.JComponent c)` | Configures the specified component appropriate for the look and feel.
    `void` | `stateChanged​(javax.swing.event.ChangeEvent event)` |
    `void` | `uninstallComponents()` | Tear down and clean up.
    `void` | `uninstallDefaults()` |
    `void` | `uninstallListeners()` |
    `void` | `uninstallUI​(javax.swing.JComponent c)` | Tear down and clean up.

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicPrintPreviewPaneUI

          public BasicPrintPreviewPaneUI()

  - ### Method Detail

    - #### createUI

          public static javax.swing.plaf.ComponentUI createUI​(javax.swing.JComponent c)

      Required by super class.
      Parameters:
        `c` - not used
      Returns:
        one of these

    - #### installUI

          public void installUI​(javax.swing.JComponent c)

      Configures the specified component appropriate for the look and feel. This method is invoked when the `ComponentUI` instance is being installed as the UI delegate on the specified component. This method should completely configure the component for the look and feel, including the following:
      1. Install any default property values for color, fonts, borders, icons, opacity, etc. on the component. Whenever possible, property values initialized by the client program should not be overridden.
      2. Install a `LayoutManager` on the component if necessary.
      3. Create/add any required sub-components to the component.
      4. Create/install event listeners on the component.
      5. Create/install a `PropertyChangeListener` on the component in order to detect and respond to component property changes appropriately.
      6. Install keyboard UI (mnemonics, traversal, etc.) on the component.
      7. Initialize any appropriate instance data.
      Overrides:
        `installUI` in class `javax.swing.plaf.ComponentUI`
      Parameters:
        `c` - The actual component.

    - #### installDefaults

          public void installDefaults()

      Install default values for colors, fonts, borders, etc.

    - #### installComponents

          public void installComponents()

      Create and install any sub-components.

    - #### installListeners

          public void installListeners()

      Install any action listeners, mouse listeners, etc.

    - #### uninstallUI

          public void uninstallUI​(javax.swing.JComponent c)

      Tear down and clean up.
      Overrides:
        `uninstallUI` in class `javax.swing.plaf.ComponentUI`

    - #### uninstallDefaults

          public void uninstallDefaults()

    - #### uninstallComponents

          public void uninstallComponents()

      Tear down and clean up.

    - #### uninstallListeners

          public void uninstallListeners()

    - #### stateChanged

          public void stateChanged​(javax.swing.event.ChangeEvent event)

      Specified by:
        `stateChanged` in interface `javax.swing.event.ChangeListener`

    - #### createLayoutManager

          protected java.awt.LayoutManager createLayoutManager()

      Returns:
        a BorderLayout